<template>
    <b-tabs>
  <b-tab title="Thong tin" active>
   	<div class="row">
				<div class="col-md-5 grid-margin align-items-stretch">
					<div class="row flex-row">
						<div class="col-12 grid-margin">
							<div class="card">
								<div class="card-body">
									<h4 class="card-title mb-0">
										Thống kê 
									</h4>
									<div class="d-flex justify-content-between align-items-center">
										<div class="d-inline-block pt-3">
											<div class="d-flex">
												<h2 class="mb-0">{{ agency.revenue }}</h2>
												<div class="d-flex align-items-center ml-2">
													<i class="mdi mdi-clock text-muted"></i>
													<small class=" ml-1 mb-0">Updated: {{agency.updated_at}}</small>
												</div>
											</div>
											<small class="text-gray">Tu {{agency.payments_count}} giao dich</small>
										</div>
										<div class="d-inline-block">
											<div class="bg-success px-4 py-2 rounded">
												<i class="mdi mdi-buffer text-white icon-lg"></i>
											</div>
										</div>
									</div>
								</div>
							</div>
						</div>
					</div>
					<div class="row flex-row">
						<div class="col-12 grid-margin">

							<div class="card">
								<div class="card-body">
									<div class="d-flex flex-row">
										
										<img src="https://ui-avatars.com/api/?background=0D8ABC&color=fff" class="img-lg rounded">
									
										<div class="ml-3">
											<h6>{{ agency.salesman.name }}</h6>
											<p class="text-muted">{{ agency.salesman.email }}</p>
											<p class="mt-2 text-success font-weight-bold">
												Nhan vien kinh doanh
											</p>
										</div>
									</div>
								</div>
							</div>
						</div>
					</div>

				</div>
				<div class="col-md-7 stretch-card">
					<!-- LINE CHART -->
					<div class="card">
						<div class="card-body">
							<h3 class="card-title">Biểu đồ doanh số năm 2018</h3>
							<div class="chart">
								
							</div>
						</div>
						<!-- /.box-body -->
					</div>
					<!-- /.box -->
				</div>
			</div>
  </b-tab>
  <b-tab title="second" >
    <div class="card">
					<div class="card-body">
						<h3 class="card-title">Cập nhật thông tin
							<button class="btn btn-flat btn-success pull-right" type="submit">
								<i class="fa fa-plus"></i>Save</button>
						</h3>

	
						<div class="row">
							<div class="col-lg-6 grid-margin stretch-card">
								<div class="card">
									<div class="card-body">
										<h4 class="card-title">Thông tin đại lý</h4>

										<div class="form-group">
											<label class="control-label">Tên đại lý</label>
											<input type="text" name="name" v-model="agency.name" class="form-control" required />
										</div>
										<div class="form-group">
											<label class="control-label">Tỉnh/Thành</label>
										</div>
										<div class="form-group">
											<label class="control-label">Quận/huyện</label>
											<b-form-select name="district_id" id="district_sel">
											
											</b-form-select>
										</div>
										<div class="form-group">
											<label class="control-label">Xã/Phường</label>
											<b-form-select name="district_id" id="district_sel">
											
											</b-form-select>
										</div>
										<div class="form-group">
											<label class="control-label">Địa chỉ</label>
											<input type="text" name="address" required class="form-control" v-model="agency.address" placeholder="VD: 128 Nguyễn Thái Học"
											/>
										</div>
										<div class="form-group">
											<label class="control-label">Nhân viên bán hàng quản lý:</label>

										</div>
									</div>
								</div>
							</div>
							<div class="col-lg-6 grid-margin stretch-card">
								<div class="card">
									<div class="card-body">
										<h4 class="card-title">Thông tin chủ cửa hàng </h4>
									
										<div class="form-group">
											<label class="control-label">Họ và tên</label>
											<input type="text" name="fullname" v-model="agency.owner.fullname" class="form-control" required/>
										</div>
										<div class="form-group">
											<label class="control-label">Giới tính</label>
											<b-form-select name="district_id" id="district_sel">
											
											</b-form-select>
										</div>
										<div class="form-group">
											<label class="control-label">SĐT</label>
											<input type="text" name="phone_number" v-model="agency.owner.phone_number" class="form-control" required/>
										</div>
										<div class="form-group">
											<label class="control-label">Email</label>
											<input type="email" name="email" v-model="agency.owner.email" required class="form-control" placeholder="(Nếu có)" />
										</div>
									</div>
								</div>
							</div>
						</div>
				
				</div>
    </div>

  </b-tab>
  <b-tab title="disabled" disabled>
    <br>Disabled tab!
  </b-tab>
</b-tabs>
</template>
<script>
import {http} from '../../services'
export default {
    name: 'agency-edit',
    data(){
     return{
		 agency: null
     }   
    },
    props:{
        id: 0
	},
	mounted(){
		this.get();
	},
	methods:{
		get(){
			http.post('/agency',{id:this.id}, (response) => {
				console.log(response);
				this.agency = response.data;
			});
		}
	}
}
</script>

